xcb_kill_client(3)

NAME
xcb_kill_client - kills a client

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_kill_client(xcb_connection_t *conn, uint32_t resource);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

resource
    Any resource belonging to the client (for example a Window), used to identify the client connection. The special value of XCB_KILL_ALL_TEMPORARY, the resources of all clients that have terminated in RetainTemporary (TODO) are destroyed.

DESCRIPTION
Forces a close down of the client that created the specified resource.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_kill_client_checked. See xcb-requests(3) for details.

ERRORS

xcb_value_error_t
    The specified resource does not exist.

SEE ALSO
xcb-requests(3), xkill(1)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.